Bug 64648 - iwconfig fails to turn off encryption
iwconfig fails to turn off encryption
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: wireless-tools (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-08 22:12 EDT by Need Real Name
Modified: 2014-03-16 22:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-13 13:24:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-08 22:12:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020419

Description of problem:
The version of iwconfig .23 that is shipped with RedHat 7.3 has a bug
that prevents it from turning off the encryption settings (possibly modifying
them as well?).  A fix is provided in version .24 of the wireless tools.  I have
upgraded the wireless-tools rpm in 7.3 to .24 - I only had to port the makefile
patch.  Let me know if you want it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Plug in card
2.type: /sbin/iwconfig eth0 enc off
3.View encryption settings
	

Actual Results:  Encryption was not turned off on the card

Expected Results:  Encryption should have been turned off

Additional info:
Comment 1 Edmond Hui 2002-05-17 15:08:40 EDT
It seem to fail tune to 11Mb data rate on Orinoco card
Comment 2 Matt Domsch 2002-06-21 18:09:42 EDT
Confirmed that -23-2 fails to turn off encryption on my Dell Latitude C400 with
wvlan_cs driver.  The -24 package fixes this.
Comment 3 Adam Thompson 2002-08-15 15:20:10 EDT
Possible workaround: in /etc/pcmcia/wireless, edit the relevant section for 
your card, and set ENC=none in that file.
It appears that encryption cannot be turned off once turned on, but things work 
OK if it never gets turned on in the first place.
Comment 4 Matt Domsch 2003-02-13 13:24:13 EST
Fixed in Red Hat Linux 8.0 at least.  Closing.

Note You need to log in before you can comment on or make changes to this bug.